package net.pingex.discordbot;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

/**
 * Helper class which defines a pair of Method/Object used for direct invoking.
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
public class InvokableMethod
{
	public Method method;
	public Object object;

	public InvokableMethod(Method m, Object o)
	{
		method = m;
		object = o;
	}

	public Object invoke(Object... args) throws InvocationTargetException, IllegalAccessException, IllegalArgumentException
	{
		return method.invoke(object, args);
	}
}
